IPWATCHD(8)

NAME
ipwatchd - IP conflict detection tool for Linux

SYNOPSIS
ipwatchd --config config_file [--debug] [--test]
ipwatchd --version
ipwatchd --help

DESCRIPTION
IPwatchD is a simple daemon that analyses all incoming ARP packets in order to detect IP conflicts.

Default configuration file uses "automatic configuration mode" with "passive protection mode" and it should be the best option for most systems.

Configuration mode applies to the daemon instance and it specifies how the list of network interfaces that should be monitored will be obtained. In automatic configuration mode IPwatchD detects all network interfaces automatically and sets passive protection mode for them. In manual configuration mode it is up to the system administrator to specify list of interfaces and protection modes in configuration file.

Protection mode specifies the action that will be performed when IP conflict is detected. In active protection mode IPwatchD protects your host before IP takeover by answering gratuitous ARP requests received from conflicting system. In passive protection mode it just records information about IP conflict through standard syslog interface.

IPwatchD also supports execution of user defined scripts. See ipwatchd.conf(5) and ipwatchd-script(1) for more details.

OPTIONS
The following options are supported:

-c --config
    Specifies path to configuration file.

-d --debug
    Enables debug mode. Debug information are recorded through syslog with "daemon" facility and "debug" priority.

-t --test
    Enables testing mode that is useful only for debugging. In this mode every received ARP packet is considered to be conflicting.

-v --version
    Prints program version to standard output.

-h --help
    Prints short help information to standard output.

CONFIGURATION
See ipwatchd.conf(5) for more details.

AUTHOR
This manual page was written by Jaroslav Imrich <jariq@jariq.sk>

SEE ALSO
ipwatchd.conf(5), ipwatchd-script(1)